com.holonplatform.vaadin.spring.utils

## Class AbstractVaadinSpringTest.TestSpringVaadinServletService

- java.lang.Object
- - com.vaadin.server.VaadinService
  - - com.vaadin.server.VaadinServletService
    - - com.vaadin.spring.server.SpringVaadinServletService
      - - com.holonplatform.vaadin.spring.utils.AbstractVaadinSpringTest.TestSpringVaadinServletService

- All Implemented Interfaces:
    Serializable
  Enclosing class:
    AbstractVaadinSpringTest

      public static class AbstractVaadinSpringTest.TestSpringVaadinServletService
      extends com.vaadin.spring.server.SpringVaadinServletService

  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from class com.vaadin.server.VaadinService

      `URL_PARAMETER_CLOSE_APPLICATION, URL_PARAMETER_RESTART_APPLICATION`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TestSpringVaadinServletService(com.vaadin.server.VaadinServlet servlet, org.springframework.web.context.WebApplicationContext applicationContext)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.springframework.web.context.WebApplicationContext` | `getWebApplicationContext()`

    - ### Methods inherited from class com.vaadin.server.VaadinServletService

      `getBaseDirectory, getCancelingRelativePath, getConfiguredTheme, getConfiguredWidgetset, getContextRootRelativePath, getCurrentResponse, getCurrentServletRequest, getMainDivId, getMimeType, getServiceName, getServlet, getStaticFileLocation, getThemeResourceAsStream, isStandalone`

    - ### Methods inherited from class com.vaadin.server.VaadinService

      `accessSession, addServiceDestroyListener, addSessionDestroyListener, addSessionInitListener, closeSession, createCriticalNotificationJSON, criticalNotification, destroy, ensureAccessQueuePurged, ensurePushAvailable, findUI, findVaadinSession, fireSessionDestroy, generateConnectorId, getClassLoader, getCurrent, getCurrentRequest, getDependencyFilters, getDeploymentConfiguration, getRequestHandlers, getSystemMessages, getSystemMessagesProvider, handleRequest, init, isCsrfTokenValid, isOtherSessionLocked, isUIActive, preserveUIOnRefresh, reinitializeSession, removeServiceDestroyListener, removeSession, removeSessionDestroyListener, removeSessionInitListener, requestEnd, requestStart, runPendingAccessTasks, setClassLoader, setCurrent, setCurrentInstances, setSystemMessagesProvider, verifyNoOtherSessionLocked, writeStringResponse, writeUncachedStringResponse`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestSpringVaadinServletService

          public TestSpringVaadinServletService(com.vaadin.server.VaadinServlet servlet,
                                                org.springframework.web.context.WebApplicationContext applicationContext)
                                         throws com.vaadin.server.ServiceException

      Throws:
        `com.vaadin.server.ServiceException`

  - ### Method Detail

    - #### getWebApplicationContext

          public org.springframework.web.context.WebApplicationContext getWebApplicationContext()

      Overrides:
        `getWebApplicationContext` in class `com.vaadin.spring.server.SpringVaadinServletService`

Copyright © 2019 The Holon Platform. All rights reserved.